Subject: Re: [syzbot] [can?] WARNING in j1939_session_deactivate

From: syzbot <[email-masked]>
Date: Wed, 03 May 2023 16:51:20 -0700

syzbot suspects this issue was fixed by commit:

commit b20b8aec6ffc07bb547966b356780cd344f20f5b
Author: Ido Schimmel <[email-masked]>
Date:   Wed Feb 15 07:31:39 2023 +0000

    devlink: Fix netdev notifier chain corruption

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=120779c4280000
start commit:   7cd8b1542a7b ptp_pch: Load module automatically if ID matc..
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=9290a409049988d4
dashboard link: https://syzkaller.appspot.com/bug?extid=535e5aae63c0d0433473
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1488b8e0b00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=14eabe3f300000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: devlink: Fix netdev notifier chain corruption

For information about bisection process see: https://goo.gl/tpsmEJ#bisection